Crashpad

Public Attributes | List of all members
crashpad::MinidumpModuleCrashpadInfoLink Struct Reference

A link between a MINIDUMP_MODULE structure and additional Crashpad-specific information about a module carried within a minidump file. More...

`#include "minidump/minidump_extensions.h"`

## Public Attributes
uint32_t | minidump_module_list_index
| A link to a MINIDUMP_MODULE structure in the module list stream. More...
MINIDUMP_LOCATION_DESCRIPTOR | location
| A link to a MinidumpModuleCrashpadInfo structure. More...

## Detailed Description

A link between a MINIDUMP_MODULE structure and additional Crashpad-specific information about a module carried within a minidump file.

## Member Data Documentation

## ◆ location

MINIDUMP_LOCATION_DESCRIPTOR crashpad::MinidumpModuleCrashpadInfoLink::location

A link to a MinidumpModuleCrashpadInfo structure.

MinidumpModuleCrashpadInfo structures are accessed indirectly through MINIDUMP_LOCATION_DESCRIPTOR pointers to allow for future growth of the MinidumpModuleCrashpadInfo structure.

## ◆ minidump_module_list_index

uint32_t crashpad::MinidumpModuleCrashpadInfoLink::minidump_module_list_index

A link to a MINIDUMP_MODULE structure in the module list stream.

This field is an index into MINIDUMP_MODULE_LIST::Modules. This field’s value must be in the range of MINIDUMP_MODULE_LIST::NumberOfEntries.

The documentation for this struct was generated from the following file:

- minidump/minidump_extensions.h